package intrinsic.flash.events;

public class IOErrorEvent extends intrinsic.flash.events.ErrorEvent {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String DISK_ERROR = "disk_error";
	public static final String VERIFY_ERROR = "verify_error";
	public static final String NETWORK_ERROR = "network_error";
	public static final String IO_ERROR = "io_error";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public IOErrorEvent() {
}

public IOErrorEvent(String arg0) {
}

public IOErrorEvent(String arg0, boolean arg1) {
}

public IOErrorEvent(String arg0, boolean arg1, boolean arg2) {
}

public IOErrorEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public IOErrorEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
